Tip from CS: Make Sure You’re Up to Date

We’re starting a weekly blog contribution from our Customer Service department. In it you’ll learn a variety of tips to help you keep your copy of Logos Bible Software running smoothly. We hope you enjoy the series.

Today’s guest blogger is Elizabeth Sanborn, a member of our Customer Service team.

One problem we encounter often is when users install an outdated version of Libronix from an old disk onto a new computer running Windows Vista. Older versions of Libronix are not compatible Vista, so it’s essential that you install the most recent version, which is presently 3.0e.

Everyone should be running Libronix DLS 3.0e, regardless of which version of Windows you’re using. Products that were released earlier than 2008 won’t have the most recent version. You can save yourself a lot of time and effort either by installing directly from our website or by purchasing a media only disk, which is available for only $4.95 plus shipping.

If your version of Libronix is really old, you may need to purge off the old system instead of using Add/Remove programs. If that looks too complicated or scary, don’t hesitate to call us at 800-875-6467. We’d love to walk you through the process.

So this week’s tip is: make sure you’re installing the latest version on your new machine. More and more computers are coming with Vista, and we want to ensure that Libronix runs smoothly for you.

By the way, to find out what version of Libronix you are running, start Libronix and go to “Help” > “About Libronix DLS.” You’ll see this window pop up.

If you’re not running 3.0e or later, find out how you can easily get up to date—for free!

Share
Written by
Phil Gons

Follower of Jesus, husband of Shanna, father of five, Chief Product Officer at Logos, PhD (ABD) Theology, reader, learner, blogger, technophile.

View all articles

Your email address has been added

Written by Phil Gons
Help us improve Word by Word
This is default text for notification bar